org.apache.hadoop.fs

## Class Options.HandleOpt.Location

- java.lang.Object
- - org.apache.hadoop.fs.Options.HandleOpt
  - - org.apache.hadoop.fs.Options.HandleOpt.Location

- Enclosing class:
    Options.HandleOpt

      public static class Options.HandleOpt.Location
      extends Options.HandleOpt

  Option storing standard constraints on location.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.fs.Options.HandleOpt

      `Options.HandleOpt.Data, Options.HandleOpt.Location`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowChange()` Tracks whether any changes to file location are permitted.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.fs.Options.HandleOpt

      `changed, content, exact, getOpt, moved, path, reference, resolve, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### allowChange

          public boolean allowChange()

      Tracks whether any changes to file location are permitted.
      Returns:
        True if relocation in the namespace is allowed, false otherwise.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.